=== debian/changelog ===
cysignals (1.10.2+ds-4) unstable; urgency=medium

  [ Julien Puydt ]
  * Mark the -doc package M-A: foreign following hinter.
  * Bump std-vers to 4.5.0.

  [ Jerome Benoit ]
  * Explicitly python3 shebang for cysignals-CSI (Closes: #952309).
  * Rules-Requires-Root set to no.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 17 Mar 2020 20:01:51 +0000

cysignals (1.10.2+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Build-Depends-Indep field, Python3 docutils (Closes: #936362);
    - debian/copyright:
      - year tuples, update.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 23 Jan 2020 16:15:36 +0000

cysignals (1.10.2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 29 Dec 2019 07:33:10 +0000

cysignals (1.10.2+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 01 Nov 2019 17:30:23 +0000

cysignals (1.8.1+ds-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Jerome Benoit ]
  * Python2 removal (Closes: #936362).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 Oct 2019 09:15:33 +0000

cysignals (1.8.1+ds-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Jerome Benoit ]
  * Migrate to  texlive-plain-generic (Closes: #933282).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 05 Aug 2019 05:34:17 +0000
