=== debian/control ===
Source: cysignals
Section: python
Priority: optional
Maintainer: Jerome Benoit <calculus@rezozer.net>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 help2man,
 dh-python,
 python3-setuptools,
 python3-all,
 python3-distutils,
 python3-sphinx,
 libpython3-all-dev,
 cython3 (>= 0.28),
 libpari-dev (>= 2.9),
 gdb
Build-Depends-Indep:
 python3-docutils,
 latexmk,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-plain-generic,
 texlive-latex-extra
Standards-Version: 4.5.0
X-Python3-Version: >= 3.6
Homepage: https://github.com/sagemath/cysignals
Vcs-Git: https://salsa.debian.org/python-team/modules/cysignals.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/cysignals

Package: python3-cysignals-pari
Provides: python3-cysignals
Conflicts: python3-cysignals-bare
Breaks: sagemath (<< 8.0~)
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: cysignals-tools
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- Python 3 - PARI/GP
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package installs the library for Python 3; this very library
 was built against the PARI/GP library.

Package: python3-cysignals-bare
Provides: python3-cysignals
Conflicts: python3-cysignals-pari
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: cysignals-tools
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- Python 3 - bare
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package installs the library for Python 3; this very library
 was not built against the PARI/GP library.

Package: cysignals-tools
Section: devel
Architecture: all
Depends: gdb, ${python3:Depends}, python3-distutils, ${misc:Depends}
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- tools
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package provides debugging tools.

Package: python-cysignals-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: pdf-viewer, www-browser
Enhances: python3-cysignals (= ${source:Version})
Description: interrupt and signal handling for Cython -- doc
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This is the common documentation package with examples.
