=== debian/changelog ===
cysignals (1.11.2+ds-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:35:58 +0000

cysignals (1.11.2+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
    - d/patches/*, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 Dec 2021 21:35:13 +0000

cysignals (1.10.2+ds-7) unstable; urgency=medium

  * FTBFS fix release (Closes: #997453), light refresh.
  * Debianization:
    - d/control:
      - Build-Depends-Indep field, add tex-gyre;
      - Standards-Version, bump to 4.6.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Nov 2021 09:24:51 +0000

cysignals (1.10.2+ds-6) unstable; urgency=medium

  [ Jerome Benoit ]
  * Update Copyright year tuples in d/copyright
  * Bump Standards Version to version 4.5.1 (no change)
  * Update d/debianization.patch

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #983375)
    - Declaratively request dh addons.
    - Demote sphinx dependencies to B-D-I.
    - Drop unused texlive-plain-generic.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Feb 2021 18:44:41 +0000

cysignals (1.10.2+ds-5) unstable; urgency=medium

  [ Jerome Benoit ]
  * d/*.lintian-overrides: discard
  * d/u/metadata, introduce

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 15 Nov 2020 22:50:46 +0000
