=== debian/control ===
--- 
+++ 
@@ -2,33 +2,34 @@
 Section: python
 Priority: optional
 Maintainer: Jerome Benoit <calculus@rezozer.net>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
+ dh-sequence-python3,
  help2man,
- dh-python,
  python3-setuptools,
  python3-all,
  python3-distutils,
- python3-sphinx,
  libpython3-all-dev,
  cython3 (>= 0.28),
  libpari-dev (>= 2.9),
  gdb
 Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
  python3-docutils,
+ python3-sphinx,
  latexmk,
  texlive-latex-base,
  texlive-latex-recommended,
  texlive-fonts-recommended,
- texlive-plain-generic,
- texlive-latex-extra
-Standards-Version: 4.5.0
+ texlive-latex-extra,
+ tex-gyre
+Standards-Version: 4.6.0
 X-Python3-Version: >= 3.6
 Homepage: https://github.com/sagemath/cysignals
-Vcs-Git: https://salsa.debian.org/python-team/modules/cysignals.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/cysignals
+Vcs-Git: https://salsa.debian.org/python-team/packages/cysignals.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/cysignals
 
 Package: python3-cysignals-pari
 Provides: python3-cysignals
