=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_configure-arch:
 	$(call adhoc_dh_auto_configure_do,bare)
