=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds//,repacksuffix=+ds \
https://github.com/sagemath/cysignals/releases .*/cysignals-(\d\S*)\.tar\.(?:gz|bz2|xz)
