## cysignals 1.11.2+ds1

=== requirements.txt ===
setuptools
Cython>=0.28
Sphinx>=1.6
