=== debian/changelog ===
cysignals (1.11.2+ds1-1) unstable; urgency=medium

  * FTBFS-SAB fix release (Closes: #1044486), new Debian Source.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh (NOTE: the upstream tarball
          appeared to have been clean up);
      - Copyright year tuple, update;
    - d/watch:
      - Debian Source suffix, increment;
    - d/python-cysignals-doc.docs, update;
    - d/clean, update;
    - d/control:
      - Standards-Version, bump to 4.6.2 (no change);
    - d/adhoc/examples/example/Makefile:
      - Copyright year tuple, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Aug 2023 22:14:32 +0000

cysignals (1.11.2+ds-2) unstable; urgency=medium

  * Debianization:
    - d/watch, update;
    - d/control:
      - Standards-Version, bump to 4.6.1 (no change);
      - X-Python3-Version, drop;
    - d/copyright:
      - copyright year-tuples, update;
    - d/s/lintian-overrides, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 27 Nov 2022 18:56:37 +0000
