=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
  texlive-fonts-recommended,
  texlive-latex-extra,
  tex-gyre
-Standards-Version: 4.6.0
-X-Python3-Version: >= 3.6
+Standards-Version: 4.6.2
 Homepage: https://github.com/sagemath/cysignals
 Vcs-Git: https://salsa.debian.org/python-team/packages/cysignals.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cysignals
