## cysignals 1.11.4+ds

=== Makefile ===
--- 
+++ 
@@ -19,13 +19,14 @@
 	$(PYTHON) setup.py build
 
 install: configure
-	$(PIP) install --no-index --ignore-installed --no-deps .
+	$(PIP) install --no-build-isolation --no-index --ignore-installed --no-deps .
 
 dist: configure
+	$(PIP) install build
 	chmod -R go+rX-w .
-	umask 0022 && $(PYTHON) setup.py sdist --formats=gztar
+	umask 0022 && $(PYTHON) -m build --sdist
 
-doc:
+doc: install
 	cd docs && $(MAKE) html
