=== requirements.txt ===
setuptools
wheel
Cython
Sphinx
flake8
