=== debian/changelog ===
cysignals (1.11.4+ds-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:40:22 +1100

cysignals (1.11.4+ds-1ubuntu1) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 12:05:16 +0100

cysignals (1.11.4+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/watch, update;
    - d/patches/*:
      - d/p/upstream-fix-setup_py-obsoleted_compiler_directive-\
          legacy_implicit_noexcept.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 04 Nov 2023 22:26:31 +0000
