=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cysignals
 Section: python
 Priority: optional
-Maintainer: Jerome Benoit <calculus@rezozer.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jerome Benoit <calculus@rezozer.net>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Rules-Requires-Root: no
 Build-Depends:
@@ -10,7 +11,6 @@
  help2man,
  python3-setuptools,
  python3-all,
- python3-distutils,
  libpython3-all-dev,
  cython3 (>= 0.28),
  libpari-dev (>= 2.9),
@@ -64,7 +64,7 @@
 Package: cysignals-tools
 Section: devel
 Architecture: all
-Depends: gdb, ${python3:Depends}, python3-distutils, ${misc:Depends}
+Depends: gdb, ${python3:Depends}, ${misc:Depends}
 Suggests: python-cysignals-doc (= ${source:Version})
 Description: interrupt and signal handling for Cython -- tools
  Since Cython optimizes for speed, Cython normally does not check
