=== debian/changelog ===
cysignals (1.12.0~rc2+ds-2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:09:22 +0000

cysignals (1.12.0~rc2+ds-2build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:35:06 +0100

cysignals (1.12.0~rc2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Sep 2024 12:39:58 +0000

cysignals (1.12.0~rc2+ds-1) experimental; urgency=medium

  * New upstream minor version (second candidate): the optional
    compile-time dependency on PARI/GP was obsoleted (see README.rst).
  * Debianization:
    The non-dependency on PARI/GP implies major changes in the packaging
    which can now relies on the default debian machineries. All the machinery
    to build a bare and a PRI/GP packages was removed, so that cysignals is
    now a regular Python package.
    - d/README.Debian, obsoleted (see preamble);
    - d/control:
      - Build-Depends list, discard libpari-dev dependency;
      - Package python3-cysignals-pari, now a transitional package;
      - debhelper-compat, migrate to version 13;
      - Standards-Version, bump to 4.7.0 (no change);
    - d/patches/*:
      - d/p/upstream-*.patch, oboleted;
      - d/p/debianization.patch, update;
    - d/rules:
      - bare/pari machinery, obsoleted (see preamble);
      - override_dh_{installchangelogs,missing} targets, introduce;
    - d/adhoc/*:
      - d/a/tests/check-{doctest,example}, obsoleted (see d/rules);
      - d/a/examples/example/Makefile, copyright year-tuple, refresh;
    - d/tests:
      - d/t/check, revisit;
      - d/t/control, pari tests, obsoleted (see preamble);
    - d/copyright:
      - Files-Excluded list, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 04 Jul 2024 09:48:59 +0000

cysignals (1.11.4+ds-3) unstable; urgency=medium

  * Team upload
  * d/control:
    Drop cysignals-tools' dependency on python3-distutils
    (Closes: #1065840)

 -- Graham Inggs <ginggs@debian.org>  Wed, 08 May 2024 14:55:51 +0000

cysignals (1.11.4+ds-2) unstable; urgency=medium

  * Debianization:
    - d/control:
      - Build-Depends list, remove python3-distutils (Closes: #1065840);
    - d/copyright:
      - copyright year-tuples, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Mar 2024 16:44:49 +0000
