=== debian/control ===
Source: cysignals
Section: python
Priority: optional
Maintainer: Jerome Benoit <calculus@rezozer.net>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 help2man,
 python3-setuptools,
 python3-all,
 libpython3-all-dev,
 cython3 (>= 0.28),
 gdb
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 python3-docutils,
 python3-sphinx,
 latexmk,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-latex-extra,
 tex-gyre
Standards-Version: 4.7.0
Homepage: https://github.com/sagemath/cysignals
Vcs-Git: https://salsa.debian.org/python-team/packages/cysignals.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cysignals

Package: python3-cysignals-bare
Provides: python3-cysignals
Replaces: python3-cysignals-pari (<< 1.12.0~)
Breaks: python3-cysignals-pari (<< 1.12.0~)
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: cysignals-tools
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- Python 3 - bare
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package installs the library for Python 3.

Package: cysignals-tools
Section: devel
Architecture: all
Depends: gdb, ${python3:Depends}, ${misc:Depends}
Suggests: python-cysignals-doc (= ${source:Version})
Description: interrupt and signal handling for Cython -- tools
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This package provides debugging tools.

Package: python-cysignals-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: pdf-viewer, www-browser
Enhances: python3-cysignals (= ${source:Version})
Description: interrupt and signal handling for Cython -- doc
 Since Cython optimizes for speed, Cython normally does not check
 for interrupts. The cysignals package provides mechanisms to handle
 interrupts (and other signals and errors) in Cython code.
 .
 This is the common documentation package with examples.

Package: python3-cysignals-pari
Architecture: all
Depends: python3-cysignals-bare (>= ${source:Version}), ${misc:Depends}
Section: oldlibs
Description: interrupt and signal handling for Cython -- Python 3 - PARI/GP
 This is a transitional package. It can safely be removed.
