=== debian/tests/control ===
Test-Command: debian/tests/check doctest
Depends: python3-cysignals, cysignals-tools, python-cysignals-doc

Test-Command: debian/tests/check example
Depends: python3-cysignals, python-cysignals-doc, cython3, libpython3-dev, python3-setuptools, build-essential
Restrictions: allow-stderr
