## cysignals 1.12.3+ds

=== requirements.txt ===
meson-python
build
wheel
Cython
Sphinx
flake8
tomli
pytest>=8.0.0
