=== debian/changelog ===
cysignals (1.12.3+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - copyright year-tuples, update;
    - d/control:
      - Build-Depends-Indep list, add python3-tomli dependency;
      - Standards-Version, bump to 4.7.2 (no change);
    - d/rules:
      - DEB_BUILD_MAINT_OPTIONS, `hardining` without `fortify`;
    - d/patches/*:
      - d/p/debianization.patch, refresh;
    - d/tests/*:
      - doctest test, now obsolete;
      - example test, adapt;
    - d/adhoc/examples/example/Makefile, adapt;
    - d/cysignals-tools.install, update;
    - d/python-cysignals-doc.docs, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 19 Apr 2025 23:26:31 +0000
