=== debian/control ===
--- 
+++ 
@@ -7,23 +7,27 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-mesonpy,
  help2man,
- python3-setuptools,
  python3-all,
  libpython3-all-dev,
+ python3-pytest <!nocheck>,
  cython3 (>= 0.28),
+ pkgconf,
  gdb
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  python3-docutils,
  python3-sphinx,
+ python3-tomli,
  latexmk,
  texlive-latex-base,
  texlive-latex-recommended,
  texlive-fonts-recommended,
  texlive-latex-extra,
  tex-gyre
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sagemath/cysignals
 Vcs-Git: https://salsa.debian.org/python-team/packages/cysignals.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cysignals
@@ -60,7 +64,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Suggests: pdf-viewer, www-browser
+Suggests: pdf-viewer, www-browser, meson
 Enhances: python3-cysignals (= ${source:Version})
 Description: interrupt and signal handling for Cython -- doc
  Since Cython optimizes for speed, Cython normally does not check
