=== debian/changelog ===
cysignals (1.12.4+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.12.4+ds
  * Remove Rules-Requires-Root: no.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 11 Aug 2025 13:42:15 +0200

cysignals (1.12.3+ds-2) unstable; urgency=medium

  * Team upload
  * Set DPT as Maintainer per new Team Policy
  * Apply upstream patch to remove usage of python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 20:09:14 +0200
