=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: cysignals
 Section: python
 Priority: optional
-Maintainer: Jerome Benoit <calculus@rezozer.net>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Rules-Requires-Root: no
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Jerome Benoit <calculus@rezozer.net>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -20,7 +20,6 @@
  dh-sequence-sphinxdoc,
  python3-docutils,
  python3-sphinx,
- python3-tomli,
  latexmk,
  texlive-latex-base,
  texlive-latex-recommended,
