=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-export ACLOCAL_PATH=m4
+export DEB_BUILD_MAINT_OPTIONS= hardening=+all,-fortify
 
 H2MFLAGS = \
 	--manual="CySIgnals Cython package" \
