=== debian/tests/control ===
Test-Command: debian/tests/check example
Depends: python3-cysignals, python-cysignals-doc, cython3, libpython3-dev, meson, build-essential
Restrictions: allow-stderr
