=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds[\d]?//,repacksuffix=+ds,uversionmangle=s/[-~]?rc/~rc/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cysignals-$1\.tar\.gz/ \
https://github.com/sagemath/cysignals/tags .*/archive/refs/tags/v?(\d\S*)\.tar\.gz
